<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Payroll Period</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Payroll Period
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Setting</li>
        <li class="active"> Payroll Period</li>
    </ol>
</section>

<section layout:fragment="main" class="content">

    <div class="row">
        <div class="col-md-3">
            <div class="box box-solid">
                <div class="box-header with-border">
                    <h3 class="box-title">Tab</h3>

                    <div class="box-tools">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                        </button>
                    </div>
                </div>
                <div class="box-body no-padding">
                    <ul class="nav nav-pills nav-stacked">
                        <li class="active">
                            <a th:href="@{/setting/payroll/periode}"><i class="fa fa-inbox"></i> Period </a>
                        </li>
                        <li>
                            <a th:href="@{/setting/payroll/gajipokok}"><i class="fa fa-inbox"></i> Bassic Salary </a>
                        </li>
                        <li>
                            <a th:href="@{/setting/payroll/tunjangan}"><i class="fa fa-gear"></i> Allowance</a>
                        </li>
                        <li>
                            <a th:href="@{/setting/payroll/pengurang}"><i class="fa fa-gear"></i> Deductions</a>
                        </li>
                        <li>
                            <a th:href="@{/setting/payroll/benefit}"><i class="fa fa-gear"></i> Benefits</a>
                        </li>
                    </ul>
                </div>
                <!-- /.box-body -->
            </div>
        </div>
        <div class="col-md-9">

            <div class="callout callout-success" th:if="${success != null}">
                <h4>Save Data Success!</h4>

                <p>Data Berhasil Disimpan.</p>
            </div>

            <div class="callout callout-success" th:if="${deleted != null}">
                <h4>Delete Data Success!</h4>

                <p>Data Berhasil Dihapus.</p>
            </div>

            <div class="callout callout-danger" th:if="${gagal != null}">
                <h4>Save Data Unsuccesfully!</h4>

                <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>
            </div>

            <!-- Custom Tabs -->
            <div class="nav-tabs-custom">
                <ul class="nav nav-tabs">
                    <li class="active"><a href="#detail" data-toggle="tab">Period</a></li>
                    <!--                    <li><a href="#keluarga" data-toggle="tab">Keluarga</a></li>-->
                    <!--                    <li><a href="#pendidikan" data-toggle="tab">Pendidikan</a></li>-->
                </ul>
                <form class="form-horizontal" th:action="@{/setting/payroll/periode/save}" th:object="${payrollPeriode}" method="post" enctype="multipart/form-data">
                    <div class="tab-content">
                        <div class="tab-pane active" id="detail">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="box box-info">
                                        <div class="box-header with-border">
                                        </div>
                                        <div class="box-body">

                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label>Cut Off</label>
                                                    <input type="checkbox" class="flat-red" th:field="*{defaultPeriod}" value="AKTIF" name="defaultPeriod">
                                                    Default
                                                </div>
                                            </div>

                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label>Tax Setting</label>
                                                    <select class="form-control select2" name="taxSetting" th:field="*{taxSetting}" id="taxSetting" style="width: 100%;">
                                                        <option th:value="GROSS">GROSS</option>
                                                        <option th:value="NETT">NET</option>
                                                    </select>
                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label>Default Employee Salary Tax Setting</label>
                                                    <div class="col-md-12">
                                                        <input name="salaryTaxSetting1" id="salaryTaxSetting1" type="radio" value="TAXABLE" class="flat-red" th:field="*{salaryTaxSetting}">
                                                        Taxable
                                                        <input name="salaryTaxSetting2" id="salaryTaxSetting2" type="radio" value="NON" class="flat-red" th:field="*{salaryTaxSetting}">
                                                        Non Taxable
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label>Default JHT Setting</label>
                                                    <div class="col-md-12">
                                                        <input name="jhtSetting1" id="jhtSetting1" type="radio" value="COMPANY" class="flat-red" th:field="*{jhtSetting}">
                                                        By Company
                                                        <input name="jhtSetting2" id="jhtSetting2" type="radio" value="EMPLOYEE" class="flat-red" th:field="*{jhtSetting}">
                                                        By Employee
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label>Default BPJS Kesehatan Setting</label>
                                                    <div class="col-md-12">
                                                        <input name="bpjs1" id="bpjs1" type="radio" value="COMPANY" class="flat-red" th:field="*{bpjsKesehatanSetting}">
                                                        By Company
                                                        <input name="bpjs2" id="bpjs2" type="radio" value="EMPLOYEE" class="flat-red" th:field="*{bpjsKesehatanSetting}">
                                                        By Employee
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label>Default Jaminan Pensiun Setting</label>
                                                    <div class="col-md-12">
                                                        <input name="pensiun1" id="pensiun1" type="radio" value="COMPANY" class="flat-red" th:field="*{jaminanPensiunSetting}">
                                                        By Company
                                                        <input name="pensiun2" id="pensiun2" type="radio" value="EMPLOYEE" class="flat-red" th:field="*{jaminanPensiunSetting}">
                                                        By Employee
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <label class="col-sm-2 control-label">Attendance Period</label>
                                                <div class="col-sm-10">
                                                <div class="col-md-5">
                                                    <div class="form-group">
                                                            <select class="form-control select2" name="dariTanggal" th:field="*{dariTanggal}" id="dariTanggal" style="width: 100%;">
                                                                <option th:value="1">1</option>
                                                                <option th:value="2">2</option>
                                                                <option th:value="3">3</option>
                                                                <option th:value="4">4</option>
                                                                <option th:value="5">5</option>
                                                                <option th:value="6">6</option>
                                                                <option th:value="7">7</option>
                                                                <option th:value="8">8</option>
                                                                <option th:value="9">8</option>
                                                                <option th:value="10">10</option>
                                                                <option th:value="11">11</option>
                                                                <option th:value="12">12</option>
                                                                <option th:value="13">13</option>
                                                                <option th:value="14">14</option>
                                                                <option th:value="15">15</option>
                                                                <option th:value="16">16</option>
                                                                <option th:value="17">17</option>
                                                                <option th:value="18">18</option>
                                                                <option th:value="19">19</option>
                                                                <option th:value="20">20</option>
                                                                <option th:value="21">21</option>
                                                                <option th:value="22">22</option>
                                                                <option th:value="23">23</option>
                                                                <option th:value="24">24</option>
                                                                <option th:value="25">25</option>
                                                                <option th:value="26">26</option>
                                                                <option th:value="27">27</option>
                                                                <option th:value="28">28</option>
                                                                <option th:value="29">29</option>
                                                                <option th:value="30">30</option>
                                                                <option th:value="31">31</option>
                                                            </select>
                                                    </div>
                                                </div>
                                                    <label class="col-sm-2 control-label">-</label>
                                                <div class="col-md-5">
                                                    <div class="form-group">
                                                            <select class="form-control select2" name="sampaiTanggal" th:field="*{sampaiTanggal}" id="sampaiTanggal" style="width: 100%;">
                                                                <option th:value="1">1</option>
                                                                <option th:value="2">2</option>
                                                                <option th:value="3">3</option>
                                                                <option th:value="4">4</option>
                                                                <option th:value="5">5</option>
                                                                <option th:value="6">6</option>
                                                                <option th:value="7">7</option>
                                                                <option th:value="8">8</option>
                                                                <option th:value="9">8</option>
                                                                <option th:value="10">10</option>
                                                                <option th:value="11">11</option>
                                                                <option th:value="12">12</option>
                                                                <option th:value="13">13</option>
                                                                <option th:value="14">14</option>
                                                                <option th:value="15">15</option>
                                                                <option th:value="16">16</option>
                                                                <option th:value="17">17</option>
                                                                <option th:value="18">18</option>
                                                                <option th:value="19">19</option>
                                                                <option th:value="20">20</option>
                                                                <option th:value="21">21</option>
                                                                <option th:value="22">22</option>
                                                                <option th:value="23">23</option>
                                                                <option th:value="24">24</option>
                                                                <option th:value="25">25</option>
                                                                <option th:value="26">26</option>
                                                                <option th:value="27">27</option>
                                                                <option th:value="28">28</option>
                                                                <option th:value="29">29</option>
                                                                <option th:value="30">30</option>
                                                                <option th:value="31">31</option>
                                                            </select>
                                                    </div>
                                                </div>
                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <label class="col-sm-2 control-label">Payroll Period</label>
                                                <div class="col-sm-10">
                                                    <div class="col-md-5">
                                                        <div class="form-group">
                                                            <select class="form-control select2" name="payrollDariTanggal" th:field="*{payrollDariTanggal}" id="payrollDariTanggal" style="width: 100%;">
                                                                <option th:value="1">1</option>
                                                                <option th:value="2">2</option>
                                                                <option th:value="3">3</option>
                                                                <option th:value="4">4</option>
                                                                <option th:value="5">5</option>
                                                                <option th:value="6">6</option>
                                                                <option th:value="7">7</option>
                                                                <option th:value="8">8</option>
                                                                <option th:value="9">8</option>
                                                                <option th:value="10">10</option>
                                                                <option th:value="11">11</option>
                                                                <option th:value="12">12</option>
                                                                <option th:value="13">13</option>
                                                                <option th:value="14">14</option>
                                                                <option th:value="15">15</option>
                                                                <option th:value="16">16</option>
                                                                <option th:value="17">17</option>
                                                                <option th:value="18">18</option>
                                                                <option th:value="19">19</option>
                                                                <option th:value="20">20</option>
                                                                <option th:value="21">21</option>
                                                                <option th:value="22">22</option>
                                                                <option th:value="23">23</option>
                                                                <option th:value="24">24</option>
                                                                <option th:value="25">25</option>
                                                                <option th:value="26">26</option>
                                                                <option th:value="27">27</option>
                                                                <option th:value="28">28</option>
                                                                <option th:value="29">29</option>
                                                                <option th:value="30">30</option>
                                                                <option th:value="31">31</option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <label class="col-sm-2 control-label">-</label>
                                                    <div class="col-md-5">
                                                        <div class="form-group">
                                                            <select class="form-control select2" name="payrollSampaiTanggal" th:field="*{payrollSampaiTanggal}" id="payrollSampaiTanggal" style="width: 100%;">
                                                                <option th:value="1">1</option>
                                                                <option th:value="2">2</option>
                                                                <option th:value="3">3</option>
                                                                <option th:value="4">4</option>
                                                                <option th:value="5">5</option>
                                                                <option th:value="6">6</option>
                                                                <option th:value="7">7</option>
                                                                <option th:value="8">8</option>
                                                                <option th:value="9">8</option>
                                                                <option th:value="10">10</option>
                                                                <option th:value="11">11</option>
                                                                <option th:value="12">12</option>
                                                                <option th:value="13">13</option>
                                                                <option th:value="14">14</option>
                                                                <option th:value="15">15</option>
                                                                <option th:value="16">16</option>
                                                                <option th:value="17">17</option>
                                                                <option th:value="18">18</option>
                                                                <option th:value="19">19</option>
                                                                <option th:value="20">20</option>
                                                                <option th:value="21">21</option>
                                                                <option th:value="22">22</option>
                                                                <option th:value="23">23</option>
                                                                <option th:value="24">24</option>
                                                                <option th:value="25">25</option>
                                                                <option th:value="26">26</option>
                                                                <option th:value="27">27</option>
                                                                <option th:value="28">28</option>
                                                                <option th:value="29">29</option>
                                                                <option th:value="30">30</option>
                                                                <option th:value="31">31</option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                </div>
                                                </div>

                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label class="col-sm-2 control-label">Month</label>

                                                    <div class="col-sm-10">
                                                        <label>
                                                            <input name="bulan1" id="bulan1" type="radio" value="SAME" class="flat-red" th:field="*{bulan}">
                                                            Same
                                                        </label>
                                                        &nbsp;
                                                        <label>
                                                            <input name="bulan2" id="bulan2" type="radio" value="AFTER" class="flat-red" th:field="*{bulan}">
                                                            After
                                                        </label>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label>Payrol will be scheduled on this date</label>
                                                    <select class="form-control select2" name="payrollDate" th:field="*{payrollDate}" id="payrollDate" style="width: 100%;">
                                                        <option th:value="1">1</option>
                                                        <option th:value="2">2</option>
                                                        <option th:value="3">3</option>
                                                        <option th:value="4">4</option>
                                                        <option th:value="5">5</option>
                                                        <option th:value="6">6</option>
                                                        <option th:value="7">7</option>
                                                        <option th:value="8">8</option>
                                                        <option th:value="9">8</option>
                                                        <option th:value="10">10</option>
                                                        <option th:value="11">11</option>
                                                        <option th:value="12">12</option>
                                                        <option th:value="13">13</option>
                                                        <option th:value="14">14</option>
                                                        <option th:value="15">15</option>
                                                        <option th:value="16">16</option>
                                                        <option th:value="17">17</option>
                                                        <option th:value="18">18</option>
                                                        <option th:value="19">19</option>
                                                        <option th:value="20">20</option>
                                                        <option th:value="21">21</option>
                                                        <option th:value="22">22</option>
                                                        <option th:value="23">23</option>
                                                        <option th:value="24">24</option>
                                                        <option th:value="25">25</option>
                                                        <option th:value="26">26</option>
                                                        <option th:value="27">27</option>
                                                        <option th:value="28">28</option>
                                                        <option th:value="29">29</option>
                                                        <option th:value="30">30</option>
                                                        <option th:value="31">31</option>
                                                    </select>
                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label>Attendance lay last month</label>
                                                    <input type="checkbox" class="flat-red" th:field="*{attendancePayLastMonth}" value="ENABLED" name="attendancePayLastMonth">
                                                </div>
                                            </div>

                                            <input type="hidden" name="id" th:field="*{id}">

                                        </div>
                                        <div class="box-footer">
<!--                                            <a th:href="@{/masterdata/employes}" class="btn btn-default">Cancel</a>-->
                                            <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- /.tab-pane -->
                        <!--                    <div class="tab-pane" id="keluarga">-->
                        <!--                        <div class="row">-->

                        <!--                        </div>-->
                        <!--                    </div>-->
                        <!--                    &lt;!&ndash; /.tab-pane &ndash;&gt;-->
                        <!--                    <div class="tab-pane" id="pendidikan">-->
                        <!--                        <div class="row">-->

                        <!--                        </div>-->
                        <!--                    </div>-->
                        <!-- /.tab-pane -->
                    </div>
                </form>
                <!-- /.tab-content -->
            </div>
            <!-- nav-tabs-custom -->
        </div>
    </div>
</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#tanggalLahir').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>
</body>
</html>